<template>
  <div id="app">
    <div>
      <b-navbar toggleable="lg" type="dark" variant="dark">
        <b-navbar-brand to="/">Wheater Node</b-navbar-brand>

        <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>

        <b-collapse id="nav-collapse" is-nav>
          <b-navbar-nav>
            <b-nav-item to="/">Home</b-nav-item>
            <b-nav-item to="/forecast" disabled>Service</b-nav-item>
            <b-nav-item-dropdown text="Forecasts" left>
              <b-dropdown-item to="/forecasts/today">Today</b-dropdown-item>
              <b-dropdown-item to="/forecasts/tomorrow"
                >Tomorrow</b-dropdown-item
              >
              <b-dropdown-item to="/forecasts/threedays"
                >Three Days</b-dropdown-item
              >
              <b-dropdown-item to="/forecasts/thisweek"
                >This Week</b-dropdown-item
              >
            </b-nav-item-dropdown>
            <b-nav-item to="/about">About</b-nav-item>
          </b-navbar-nav>

          <!-- Right aligned nav items -->
          <b-navbar-nav class="ml-auto">
            <b-nav-form>
              <b-form-input
                size="sm"
                class="mr-sm-2"
                placeholder="Search"
              ></b-form-input>
              <b-button size="sm" class="my-2 my-sm-0" type="submit"
                >Search</b-button
              >
            </b-nav-form>

            <b-nav-item-dropdown text="Lang" right>
              <b-dropdown-item href="#">EN</b-dropdown-item>
              <b-dropdown-item href="#">IT</b-dropdown-item>
            </b-nav-item-dropdown>

            <b-nav-item-dropdown right>
              <!-- Using 'button-content' slot -->
              <template #button-content>
                <em>User</em>
              </template>
              <b-dropdown-item v-if="anonymous()" to="/login"
                >Login</b-dropdown-item
              >
              <b-dropdown-item v-if="anonymous()" to="/register"
                >Register</b-dropdown-item
              >
              <b-dropdown-item v-if="authenticated()" to="/account"
                >Account</b-dropdown-item
              >
              <b-dropdown-item v-if="authenticated()" to="/logout"
                >Sign Out</b-dropdown-item
              >
            </b-nav-item-dropdown>
          </b-navbar-nav>
        </b-collapse>
      </b-navbar>
    </div>
    <router-view />
  </div>
</template>
<script>
export default {
  data() {
    return {
      user: {
        user_id: "",
      },
    };
  },
  methods: {
    authenticated() {
      return this.user.user_id !== "";
    },
    anonymous() {
      return this.user.user_id === "";
    },
  },
};
</script>
